new iphone.... what MODEM FIREWARE ?

Discussion in 'iPhone' started by jamespheely, Apr 5, 2009.

  1. jamespheely

    jamespheely Member

    Joined:
    Jan 10, 2008
    Messages:
    59
    Likes Received:
    0
    Device:
    iPhone 3GS (White)
    hey guys im looking to buy a new iphone from the carphone warehous, but i dont want to use it on o2 which is the only network available for it in the uk so what are my chances of being able to unlock this with yellowsn0w?

    thanks
  2. Achy9

    Achy9 Member

    Joined:
    Feb 11, 2009
    Messages:
    700
    Likes Received:
    12
    Device:
    iPhone 5 (Black)
    If it comes with FW 2.2.1, it'll have baseband 02.30.03 and you will NOT be able to unlock it for now, if ever.
    If it comes with anything but 2.2.1, then it'll be a piece of cake to unlock.
    Just make sure you don't get a 2.2.1, ask Apple if they would give you a 2.2 FW iPhone.
  3. DrewGzy

    DrewGzy Active Member

    Joined:
    Dec 11, 2007
    Messages:
    1,205
    Likes Received:
    10
    That is not necessarily true...

    If the phone was ever updated to Modem Firmware 2.30.03 it cannot be changed but the firmware can be downgraded.

    Basically if the phone is on 2.2 it can still have modem firmware 2.30.03 which like Achy9 said it is not unlockable. Basically, you need to make sure the "Modem Firmware" is on 2.28.00

    Hopefully that makes sense!
  4. Achy9

    Achy9 Member

    Joined:
    Feb 11, 2009
    Messages:
    700
    Likes Received:
    12
    Device:
    iPhone 5 (Black)
    "The Carphone Warehouse". Isn't that like a store selling brand new iPhones? If so, then why would they have the 2.2.1 baseband if they are not on 2.2.1? Doesn't really make sense to me honestly. That's like saying apple updated one of their phones to 2.2.1 but kept the baseband the same, then downgraded.
  5. DrewGzy

    DrewGzy Active Member

    Joined:
    Dec 11, 2007
    Messages:
    1,205
    Likes Received:
    10
    I agree that most normal retailers would not sell an oddball like I mentioned but I was just trying to give him some information (incase he finds a used one or something).

    Just because it is on 2.2 does not mean it will have an unlockable baseband.

Share This Page